## mate-rr-output

mate-rr-output

## Functions

guint32 | mate_rr_output_get_id ()
const char * | mate_rr_output_get_name ()
gboolean | mate_rr_output_is_connected ()
int | mate_rr_output_get_size_inches ()
int | mate_rr_output_get_width_mm ()
int | mate_rr_output_get_height_mm ()
const guint8 * | mate_rr_output_get_edid_data ()
MateRRCrtc ** | mate_rr_output_get_possible_crtcs ()
MateRRMode ** | mate_rr_output_list_modes ()
MateRRMode * | mate_rr_output_get_current_mode ()
MateRRMode * | mate_rr_output_get_preferred_mode ()
gboolean | mate_rr_output_supports_mode ()
MateRRCrtc * | mate_rr_output_get_crtc ()
void | mate_rr_output_get_position ()
gboolean | mate_rr_output_can_clone ()

## Types and Values

typedef | MateRROutput

## Includes

    #include <mate-rr.h>

## Description

## Functions

### mate_rr_output_get_id ()

    guint32
    mate_rr_output_get_id (MateRROutput *output);

### mate_rr_output_get_name ()

    const char *
    mate_rr_output_get_name (MateRROutput *output);

### mate_rr_output_is_connected ()

    gboolean
    mate_rr_output_is_connected (MateRROutput *output);

### mate_rr_output_get_size_inches ()

    int
    mate_rr_output_get_size_inches (MateRROutput *output);

### mate_rr_output_get_width_mm ()

    int
    mate_rr_output_get_width_mm (MateRROutput *outout);

### mate_rr_output_get_height_mm ()

    int
    mate_rr_output_get_height_mm (MateRROutput *output);

### mate_rr_output_get_edid_data ()

    const guint8 *
    mate_rr_output_get_edid_data (MateRROutput *output);

### mate_rr_output_get_possible_crtcs ()

    MateRRCrtc **
    mate_rr_output_get_possible_crtcs (MateRROutput *output);

#### Parameters

output | a MateRROutput |

#### Returns

.

[array zero-terminated=1][transfer none]

### mate_rr_output_list_modes ()

    MateRRMode **
    mate_rr_output_list_modes (MateRROutput *output);

#### Parameters

output | a MateRROutput |

#### Returns

.

[array zero-terminated=1][transfer none]

### mate_rr_output_get_current_mode ()

    MateRRMode *
    mate_rr_output_get_current_mode (MateRROutput *output);

#### Parameters

output | a MateRROutput |

#### Returns

the current mode of this output.

[transfer none]

### mate_rr_output_get_preferred_mode ()

    MateRRMode *
    mate_rr_output_get_preferred_mode (MateRROutput *output);

#### Parameters

output | a MateRROutput |

#### Returns

.

[transfer none]

### mate_rr_output_supports_mode ()

    gboolean
    mate_rr_output_supports_mode (MateRROutput *output,
                                  MateRRMode *mode);

### mate_rr_output_get_crtc ()

    MateRRCrtc *
    mate_rr_output_get_crtc (MateRROutput *output);

#### Parameters

output | a MateRROutput |

#### Returns

.

[transfer none]

### mate_rr_output_get_position ()

    void
    mate_rr_output_get_position (MateRROutput *output,
                                 int *x,
                                 int *y);

#### Parameters

output | a MateRROutput |
x | . | [out][allow-none]
y | . | [out][allow-none]

### mate_rr_output_can_clone ()

    gboolean
    mate_rr_output_can_clone (MateRROutput *output,
                              MateRROutput *clone);

## Types and Values

### MateRROutput

    typedef struct MateRROutput MateRROutput;